﻿/*
Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.md or http://ckeditor.com/license
*/
.cke_dialog {
    visibility: visible;
}

.cke_dialog_body {
    z-index: 1;
    background: #eaeaea;
    border: 1px solid #b2b2b2;
    border-bottom-color: #999;
    border-radius: 3px;
    box-shadow: 0 0 3px rgba(0,0,0,.15);
}

.cke_dialog strong {
    font-weight: bold;
}

.cke_dialog_title {
    font-weight: bold;
    font-size: 13px;
    cursor: move;
    position: relative;
    color: #474747;
    text-shadow: 0 1px 0 rgba(255,255,255,.75);
    border-bottom: 1px solid #999;
    padding: 6px 10px;
    border-radius: 2px 2px 0 0;
    box-shadow: 0 1px 0 #fff inset;
    background: #cfd1cf;
    background-image: linear-gradient(to bottom,#f5f5f5,#cfd1cf);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#f5f5f5',endColorstr='#cfd1cf');
}

.cke_dialog_spinner {
    border-radius: 50%;
    width: 12px;
    height: 12px;
    overflow: hidden;
    text-indent: -9999em;
    border-top: 2px solid rgba(102,102,102,0.2);
    border-right: 2px solid rgba(102,102,102,0.2);
    border-bottom: 2px solid rgba(102,102,102,0.2);
    border-left: 2px solid rgba(102,102,102,1);
    -webkit-animation: dialog_spinner 1s infinite linear;
    animation: dialog_spinner 1s infinite linear;
}

.cke_browser_ie8 .cke_dialog_spinner, .cke_browser_ie9 .cke_dialog_spinner {
    background: url(images/spinner.gif) center top no-repeat;
    width: 16px;
    height: 16px;
    border: 0;
}

@-webkit-keyframes dialog_spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes dialog_spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.cke_dialog_contents {
    background-color: #fff;
    overflow: auto;
    padding: 15px 10px 5px 10px;
    margin-top: 30px;
    border-top: 1px solid #bfbfbf;
    border-radius: 0 0 3px 3px;
}

.cke_dialog_contents_body {
    overflow: auto;
    padding: 17px 10px 5px 10px;
    margin-top: 22px;
}

.cke_dialog_footer {
    text-align: right;
    position: relative;
    border: 0;
    outline: 1px solid #bfbfbf;
    box-shadow: 0 1px 0 #fff inset;
    border-radius: 0 0 2px 2px;
    background: #cfd1cf;
    background-image: linear-gradient(to bottom,#ebebeb,#cfd1cf);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#ebebeb',endColorstr='#cfd1cf');
}

.cke_rtl .cke_dialog_footer {
    text-align: left;
}

.cke_hc .cke_dialog_footer {
    outline: 0;
    border-top: 1px solid #fff;
}

.cke_dialog .cke_resizer {
    margin-top: 22px;
}

.cke_dialog .cke_resizer_rtl {
    margin-left: 5px;
}

.cke_dialog .cke_resizer_ltr {
    margin-right: 5px;
}

.cke_dialog_tabs {
    height: 24px;
    display: inline-block;
    margin: 5px 0 0;
    position: absolute;
    z-index: 2;
    left: 10px;
}

.cke_rtl .cke_dialog_tabs {
    right: 10px;
}

a.cke_dialog_tab {
    height: 16px;
    padding: 4px 8px;
    margin-right: 3px;
    display: inline-block;
    cursor: pointer;
    line-height: 16px;
    outline: 0;
    color: #595959;
    border: 1px solid #bfbfbf;
    border-radius: 3px 3px 0 0;
    background: #d4d4d4;
    background-image: linear-gradient(to bottom,#fafafa,#ededed);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#fafafa',endColorstr='#ededed');
}

.cke_rtl a.cke_dialog_tab {
    margin-right: 0;
    margin-left: 3px;
}

a.cke_dialog_tab:hover, a.cke_dialog_tab:focus {
    background: #ebebeb;
    background: linear-gradient(to bottom,#ebebeb 0,#dfdfdf 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ebebeb',endColorstr='#dfdfdf',GradientType=0);
}

a.cke_dialog_tab_selected {
    background: #fff;
    color: #383838;
    border-bottom-color: #fff;
    cursor: default;
    filter: none;
}

    a.cke_dialog_tab_selected:hover, a.cke_dialog_tab_selected:focus, {
        background: #ededed;
        background: linear-gradient(to bottom,#ededed 0,#fff 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ededed',endColorstr='#ffffff',GradientType=0);
    }

.cke_hc a.cke_dialog_tab:hover, .cke_hc a.cke_dialog_tab:focus, .cke_hc a.cke_dialog_tab_selected {
    border: 3px solid;
    padding: 2px 6px;
}

a.cke_dialog_tab_disabled {
    color: #bababa;
    cursor: default;
}

.cke_single_page .cke_dialog_tabs {
    display: none;
}

.cke_single_page .cke_dialog_contents {
    padding-top: 5px;
    margin-top: 0;
    border-top: 0;
}

a.cke_dialog_close_button {
    background-image: url(images/close.png);
    background-repeat: no-repeat;
    background-position: 50%;
    position: absolute;
    cursor: pointer;
    text-align: center;
    height: 20px;
    width: 20px;
    top: 4px;
    z-index: 5;
    opacity: .8;
    filter: alpha(opacity = 80);
}

.cke_dialog_close_button:hover {
    opacity: 1;
    filter: alpha(opacity = 100);
}

.cke_hidpi .cke_dialog_close_button {
    background-image: url(images/hidpi/close.png);
    background-size: 16px;
}

.cke_dialog_close_button span {
    display: none;
}

.cke_hc .cke_dialog_close_button span {
    display: inline;
    cursor: pointer;
    font-weight: bold;
    position: relative;
    top: 3px;
}

.cke_ltr .cke_dialog_close_button {
    right: 5px;
}

.cke_rtl .cke_dialog_close_button {
    left: 6px;
}

.cke_dialog_close_button {
    top: 4px;
}

div.cke_disabled .cke_dialog_ui_labeled_content div * {
    background-color: #ddd;
    cursor: default;
}

.cke_dialog_ui_vbox table, .cke_dialog_ui_hbox table {
    margin: auto;
}

.cke_dialog_ui_vbox_child {
    padding: 5px 0;
}

.cke_dialog_ui_hbox {
    width: 100%;
}

.cke_dialog_ui_hbox_first, .cke_dialog_ui_hbox_child, .cke_dialog_ui_hbox_last {
    vertical-align: top;
}

.cke_ltr .cke_dialog_ui_hbox_first, .cke_ltr .cke_dialog_ui_hbox_child {
    padding-right: 10px;
}

.cke_rtl .cke_dialog_ui_hbox_first, .cke_rtl .cke_dialog_ui_hbox_child {
    padding-left: 10px;
}

.cke_ltr .cke_dialog_footer_buttons .cke_dialog_ui_hbox_first, .cke_ltr .cke_dialog_footer_buttons .cke_dialog_ui_hbox_child {
    padding-right: 5px;
}

.cke_rtl .cke_dialog_footer_buttons .cke_dialog_ui_hbox_first, .cke_rtl .cke_dialog_footer_buttons .cke_dialog_ui_hbox_child {
    padding-left: 5px;
    padding-right: 0;
}

.cke_hc div.cke_dialog_ui_input_text, .cke_hc div.cke_dialog_ui_input_password, .cke_hc div.cke_dialog_ui_input_textarea, .cke_hc div.cke_dialog_ui_input_select, .cke_hc div.cke_dialog_ui_input_file {
    border: 1px solid;
}

textarea.cke_dialog_ui_input_textarea {
    overflow: auto;
    resize: none;
}

input.cke_dialog_ui_input_text, input.cke_dialog_ui_input_password, textarea.cke_dialog_ui_input_textarea {
    background-color: #fff;
    border: 1px solid #c9cccf;
    border-top-color: #aeb3b9;
    padding: 4px 6px;
    outline: 0;
    width: 100%;
    *width: 95%;
    box-sizing: border-box;
    border-radius: 3px;
    box-shadow: 0 1px 2px rgba(0,0,0,.15) inset;
}

    input.cke_dialog_ui_input_text:hover, input.cke_dialog_ui_input_password:hover, textarea.cke_dialog_ui_input_textarea:hover {
        border: 1px solid #aeb3b9;
        border-top-color: #a0a6ad;
    }

    input.cke_dialog_ui_input_text:focus, input.cke_dialog_ui_input_password:focus, textarea.cke_dialog_ui_input_textarea:focus, select.cke_dialog_ui_input_select:focus {
        outline: 0;
        border: 1px solid #139ff7;
        border-top-color: #1392e9;
    }

a.cke_dialog_ui_button {
    display: inline-block;
    *display: inline;
    *zoom: 1;
    padding: 4px 0;
    margin: 0;
    text-align: center;
    color: #333;
    vertical-align: middle;
    cursor: pointer;
    border: 1px solid #b6b6b6;
    border-bottom-color: #999;
    border-radius: 3px;
    box-shadow: 0 1px 0 rgba(255,255,255,.5),0 0 2px rgba(255,255,255,.15) inset,0 1px 0 rgba(255,255,255,.15) inset;
    background: #e4e4e4;
    background-image: linear-gradient(to bottom,#fff,#e4e4e4);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#ffffff',endColorstr='#e4e4e4');
}

span.cke_dialog_ui_button {
    padding: 0 10px;
}

a.cke_dialog_ui_button:hover {
    border-color: #9e9e9e;
    background: #ccc;
    background-image: linear-gradient(to bottom,#f2f2f2,#ccc);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#f2f2f2',endColorstr='#cccccc');
}

a.cke_dialog_ui_button:focus, a.cke_dialog_ui_button:active {
    border-color: #969696;
    outline: 0;
    box-shadow: 0 0 6px rgba(0,0,0,.4) inset;
}

.cke_hc a.cke_dialog_ui_button:hover, .cke_hc a.cke_dialog_ui_button:focus, .cke_hc a.cke_dialog_ui_button:active {
    border: 3px solid;
    padding-top: 1px;
    padding-bottom: 1px;
}

    .cke_hc a.cke_dialog_ui_button:hover span, .cke_hc a.cke_dialog_ui_button:focus span, .cke_hc a.cke_dialog_ui_button:active span {
        padding-left: 10px;
        padding-right: 10px;
    }

.cke_dialog_footer_buttons a.cke_dialog_ui_button span {
    color: inherit;
    font-size: 12px;
    font-weight: bold;
    line-height: 18px;
    padding: 0 12px;
}

a.cke_dialog_ui_button_ok {
    color: #fff;
    text-shadow: 0 -1px 0 #55830c;
    border-color: #62a60a #62a60a #4d9200;
    background: #69b10b;
    background-image: linear-gradient(to bottom,#9ad717,#69b10b);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#9ad717',endColorstr='#69b10b');
}

    a.cke_dialog_ui_button_ok:hover {
        border-color: #5b9909 #5b9909 #478500;
        background: #88be14;
        background: linear-gradient(to bottom,#88be14 0,#5d9c0a 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#88be14',endColorstr='#5d9c0a',GradientType=0);
    }

    a.cke_dialog_ui_button_ok.cke_disabled {
        border-color: #7d9f51;
        background: #8dad62;
        background-image: -webkit-gradient(linear,0 0,0 100%,from(#b3d271),to(#8dad62));
        background-image: -webkit-linear-gradient(top,#b3d271,#8dad62);
        background-image: -o-linear-gradient(top,#b3d271,#8dad62);
        background-image: linear-gradient(to bottom,#b3d271,#8dad62);
        background-image: -moz-linear-gradient(top,#b3d271,#8dad62);
        filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#B3D271',endColorstr='#8DAD62');
    }

        a.cke_dialog_ui_button_ok.cke_disabled span {
            color: #e0e8d1;
        }

a.cke_dialog_ui_button span {
    text-shadow: 0 1px 0 #fff;
}

a.cke_dialog_ui_button_ok span {
    text-shadow: 0 -1px 0 #55830c;
}

span.cke_dialog_ui_button {
    cursor: pointer;
}

a.cke_dialog_ui_button_ok:focus, a.cke_dialog_ui_button_ok:active, a.cke_dialog_ui_button_cancel:focus, a.cke_dialog_ui_button_cancel:active {
    border-width: 2px;
    padding: 3px 0;
}

a.cke_dialog_ui_button_ok:focus, a.cke_dialog_ui_button_ok:active {
    border-color: #568c0a;
}

a.cke_dialog_ui_button_ok.cke_disabled:focus, a.cke_dialog_ui_button_ok.cke_disabled:active {
    border-color: #6f8c49;
}

a.cke_dialog_ui_button_ok:focus span, a.cke_dialog_ui_button_ok:active span, a.cke_dialog_ui_button_cancel:focus span, a.cke_dialog_ui_button_cancel:active span {
    padding: 0 11px;
}

.cke_dialog_footer_buttons {
    display: inline-table;
    margin: 5px;
    width: auto;
    position: relative;
    vertical-align: middle;
}

div.cke_dialog_ui_input_select {
    display: table;
}

select.cke_dialog_ui_input_select {
    height: 25px;
    line-height: 25px;
    background-color: #fff;
    border: 1px solid #c9cccf;
    border-top-color: #aeb3b9;
    padding: 3px 3px 3px 6px;
    outline: 0;
    border-radius: 3px;
    box-shadow: 0 1px 2px rgba(0,0,0,.15) inset;
}

.cke_dialog_ui_input_file {
    width: 100%;
    height: 25px;
}

.cke_hc .cke_dialog_ui_labeled_content input:focus, .cke_hc .cke_dialog_ui_labeled_content select:focus, .cke_hc .cke_dialog_ui_labeled_content textarea:focus {
    outline: 1px dotted;
}

.cke_dialog .cke_dark_background {
    background-color: #dedede;
}

.cke_dialog .cke_light_background {
    background-color: #ebebeb;
}

.cke_dialog .cke_centered {
    text-align: center;
}

.cke_dialog a.cke_btn_reset {
    float: right;
    background: url(images/refresh.png) top left no-repeat;
    width: 16px;
    height: 16px;
    border: 1px none;
    font-size: 1px;
}

.cke_hidpi .cke_dialog a.cke_btn_reset {
    background-size: 16px;
    background-image: url(images/hidpi/refresh.png);
}

.cke_rtl .cke_dialog a.cke_btn_reset {
    float: left;
}

.cke_dialog a.cke_btn_locked, .cke_dialog a.cke_btn_unlocked {
    float: left;
    width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    border: none 1px;
    font-size: 1px;
}

    .cke_dialog a.cke_btn_locked .cke_icon {
        display: none;
    }

.cke_rtl .cke_dialog a.cke_btn_locked, .cke_rtl .cke_dialog a.cke_btn_unlocked {
    float: right;
}

.cke_dialog a.cke_btn_locked {
    background-image: url(images/lock.png);
}

.cke_dialog a.cke_btn_unlocked {
    background-image: url(images/lock-open.png);
}

.cke_hidpi .cke_dialog a.cke_btn_unlocked, .cke_hidpi .cke_dialog a.cke_btn_locked {
    background-size: 16px;
}

.cke_hidpi .cke_dialog a.cke_btn_locked {
    background-image: url(images/hidpi/lock.png);
}

.cke_hidpi .cke_dialog a.cke_btn_unlocked {
    background-image: url(images/hidpi/lock-open.png);
}

.cke_dialog .cke_btn_over {
    border: outset 1px;
    cursor: pointer;
}

.cke_dialog .ImagePreviewBox {
    border: 2px ridge black;
    overflow: scroll;
    height: 200px;
    width: 300px;
    padding: 2px;
    background-color: white;
}

    .cke_dialog .ImagePreviewBox table td {
        white-space: normal;
    }

.cke_dialog .ImagePreviewLoader {
    position: absolute;
    white-space: normal;
    overflow: hidden;
    height: 160px;
    width: 230px;
    margin: 2px;
    padding: 2px;
    opacity: .9;
    filter: alpha(opacity = 90);
    background-color: #e4e4e4;
}

.cke_dialog .FlashPreviewBox {
    white-space: normal;
    border: 2px ridge black;
    overflow: auto;
    height: 160px;
    width: 390px;
    padding: 2px;
    background-color: white;
}

.cke_dialog .cke_pastetext {
    width: 346px;
    height: 170px;
}

    .cke_dialog .cke_pastetext textarea {
        width: 340px;
        height: 170px;
        resize: none;
    }

.cke_dialog iframe.cke_pasteframe {
    width: 346px;
    height: 130px;
    background-color: white;
    border: 1px solid #aeb3b9;
    border-radius: 3px;
}

.cke_dialog .cke_hand {
    cursor: pointer;
}

.cke_disabled {
    color: #a0a0a0;
}

.cke_dialog_body .cke_label {
    display: none;
}

.cke_dialog_body label {
    display: inline;
    margin-bottom: auto;
    cursor: default;
}

    .cke_dialog_body label.cke_required {
        font-weight: bold;
    }

a.cke_smile {
    overflow: hidden;
    display: block;
    text-align: center;
    padding: .3em 0;
}

    a.cke_smile img {
        vertical-align: middle;
    }

a.cke_specialchar {
    cursor: inherit;
    display: block;
    height: 1.25em;
    padding: .2em .3em;
    text-align: center;
}

a.cke_smile, a.cke_specialchar {
    border: 1px solid transparent;
}

    a.cke_smile:hover, a.cke_smile:focus, a.cke_smile:active, a.cke_specialchar:hover, a.cke_specialchar:focus, a.cke_specialchar:active {
        background: #fff;
        outline: 0;
    }

    a.cke_smile:hover, a.cke_specialchar:hover {
        border-color: #888;
    }

    a.cke_smile:focus, a.cke_smile:active, a.cke_specialchar:focus, a.cke_specialchar:active {
        border-color: #139ff7;
    }

.cke_dialog_contents a.colorChooser {
    display: block;
    margin-top: 6px;
    margin-left: 10px;
    width: 80px;
}

.cke_rtl .cke_dialog_contents a.colorChooser {
    margin-right: 10px;
}

.cke_dialog_ui_checkbox_input:focus, .cke_dialog_ui_radio_input:focus, .cke_btn_over {
    outline: 1px dotted #696969;
}

.cke_iframe_shim {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    filter: alpha(opacity = 0);
    width: 100%;
    height: 100%;
}








/*custom ckeditor font change */
/*cke dialog label*/
.cke_dialog_ui_labeled_label {font-family: Tahoma; font-size:11px;}

/*cke dialog title*/
.cke_dialog_title {font-family: Tahoma; font-size:12px;}

/*cke dialog tab*/
.cke_dialog_tab {font-family: Tahoma; font-size:11px;}
.cke_dialog_tabs {font-family: Tahoma; font-size:11px;}
a.cke_dialog_tab {font-family: Tahoma; font-size:11px;}
/*cke input:text*/
.cke_dialog_ui_labeled_content {font-family: Tahoma;  margin-top:5px; margin-bottom:5px;}

/*cke dialog input text*/
.cke_dialog_ui_input_text { font-family: Tahoma; font-size:12px;}

.cke_dialog_ui_button {font-family: Tahoma; font-size:12px;}

/*cke dialog select*/
.cke_dialog_ui_input_select {font-family: Tahoma; font-size:11px; }
.cke_dialog_ui_input_select option {font-family: Tahoma; font-size:11px; margin-top:2px; }


/*cke ui button text*/
.cke_combo_text { font-family: Tahoma; font-size:11px;}